﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightTreemap
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            List<ClassC> mylist = new List<ClassC>();
            mylist.Add(new ClassA() { a = 1, c = 11 });
            mylist.Add(new ClassA() { a = 2, c = 12 });
            mylist.Add(new ClassA() { a = 3, c = 13 });
            mylist.Add(new ClassB() { b = 1, c = 21 });
            mylist.Add(new ClassB() { b = 2, c = 22 });
            mylist.Add(new ClassB() { b = 3, c = 23 });

            this.myTreemap.ItemsSource = mylist;
        }
    }

    public class ClassC
    {
        public int c { get; set; }
    }

    public class ClassA: ClassC
    {
        public int a { get; set; }
        public string s { get; set; }
    }

    public class ClassB : ClassC
    {
        public int b { get; set; }
        public string s { get; set; }
    }
}
